package de.intevation.flys.artifacts.access;

import de.intevation.flys.artifacts.FLYSArtifact;

import de.intevation.flys.artifacts.model.DateRange;

import org.apache.log4j.Logger;

public class SQRelationAccess
extends      Access
{
    private static Logger log = Logger.getLogger(SQRelationAccess.class);

    protected String       river;

    protected Double       location;

    protected DateRange [] periods;

    protected Double       outliers;

    public SQRelationAccess() {
    }

    public SQRelationAccess(FLYSArtifact artifact) {
        super(artifact);
    }

    public String getRiver() {
        if (river == null) {
            river = getString("river");
        }
        if (log.isDebugEnabled()) {
            log.debug("river: '" + river + "'");
        }
        return river;
    }

    public Double getLocation() {
        if (location == null) {
            // XXX: The parameter name suggests plural!?
            location = getDouble("ld_locations");
        }

        if (log.isDebugEnabled()) {
            log.debug("location: " + location);
        }

        return location;
    }

    public DateRange [] getPeriods() {
        if (periods == null) {
            periods = getDateRange("periods");
        }
        return periods;
    }

    public Double getOutliers() {
        if (outliers == null) {
            outliers = getDouble("outliers");
        }
        if (log.isDebugEnabled()) {
            log.debug("outliers: " + outliers);
        }
        return outliers;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
